> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 资产中心检索 - GET /v1/workspaces/:workspace_id/assets

> 通过 GET /v1/workspaces/:workspace_id/assets 聚合检索工作空间内的各类资产。最小角色 viewer。

资产中心：在一个接口里聚合检索工作空间内的各类资产（知识库、记忆立方、Wiki、技能、智能体、代码仓库等），支持按关键字与类型过滤。

## 接口

```http theme={null}
GET /v1/workspaces/:workspace_id/assets
```

## 认证

`Authorization: Bearer <jwt>` 或 `X-API-Key <sk_...>`。最小角色：**viewer**。

## 路径参数

<ParamField path="workspace_id" type="string" required>
  工作空间 id。
</ParamField>

## 查询参数

<ParamField query="query" type="string">
  关键字，匹配资产标题。
</ParamField>

<ParamField query="type" type="string">
  资产类型过滤：`kb` / `cube` / `wiki` / `skill` / `agent` / `codegraph`。
</ParamField>

## 响应

响应为一个数组，每个元素为一项资产：

<ResponseField name="type" type="string">
  资产类型。
</ResponseField>

<ResponseField name="id" type="string">
  资产 id。
</ResponseField>

<ResponseField name="title" type="string">
  资产标题/名称。
</ResponseField>

<ResponseField name="owner_id" type="string">
  拥有者用户 id。
</ResponseField>

<ResponseField name="visibility" type="string">
  可见性。
</ResponseField>

<ResponseField name="updated_at" type="string">
  更新时间（RFC3339）。
</ResponseField>

## 示例

<RequestExample>
  ```bash cURL theme={null}
  curl "https://memo.ariacompute.cn/v1/workspaces/ws_01a2b3c4d5e6/assets?type=kb" \
    -H "Authorization: Bearer <jwt>"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "type": "kb",
      "id": "kb_01a2b3c4d5e6",
      "title": "产品文档",
      "owner_id": "usr_01a2b3c4d5e6",
      "visibility": "private",
      "updated_at": "2026-10-12T08:00:00Z"
    }
  ]
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.